From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
Date: Mon, 18 Aug 97 11:21:23 +0200
To: linux-m68k@phil.uni-sb.de
Cc: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
Subject: Re: L68K: Video patches for 2.1.47
References: <Pine.LNX.3.96.970806095406.2120B-100000@mercator.cs.kuleuven.ac.be>
X-Yow: Jesus is my POSTMASTER GENERAL..
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de

Here is another patch for a bug in Geert's video patches.  Unfortunately
gcc does not complain unless in ansi mode, ie. while compiling the X
server. :-(  Note that caddr_t and size_t might be different in user land,
so we cannot use them.

Andreas.

----------------------------------------------------------------------
--- linux-2.1.50/include/linux/fb.h.~2~	Wed Aug  6 18:09:45 1997
+++ linux-2.1.50/include/linux/fb.h	Sun Aug 17 10:11:17 1997
@@ -1,6 +1,8 @@
 #ifndef _LINUX_FB_H
 #define _LINUX_FB_H
 
+#include <asm/types.h>
+
 /* Definitions of frame buffers						*/
 
 #define FB_MAJOR	29
@@ -38,8 +40,8 @@
 
 struct fb_fix_screeninfo {
 	char id[16];			/* identification string eg "TT Builtin" */
-	caddr_t smem_start;		/* Start of frame buffer mem */
-	size_t long smem_len;		/* Length of frame buffer mem */	
+	char *smem_start;		/* Start of frame buffer mem */
+	__u32 smem_len;			/* Length of frame buffer mem */
 	__u32 type;			/* see FB_TYPE_*		*/
 	__u32 type_aux;			/* Interleave for interleaved Planes */
 	__u32 visual;			/* see FB_VISUAL_*		*/ 
